Autor Wątek: Conky-Manager 2.3.1  (Przeczytany 1961 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Conky-Manager 2.3.1
« dnia: Październik 28, 2014, 11:47:32 »
Conky jest dość popularnym narzędziem, które jednakże jest tak minimalistyczne, że w większości wymaga ręcznej ingerencji w pliki konfiguracyjne. Pewną możliwość uprzyjemnienia sobie pracy niesie conky-manager. W AUR dostępny jest conky-manager w wersji 2.2: https://aur.archlinux.org/packages/conky-manager/ jednakże jest to dostępność jedynie teoretyczna. Deweloper conky-managera udostępniając go w wersji 2.3.1 jednocześnie nie utrzymuje na serwerze, na który wskazuje PKGBUILD starszych wersji. Tym samym, próba instalacji conky-manager nie powiedzie się.
Jednym z rozwiązań jest sięgnięcie po skrypt instalacyjny udostępniany dla innych (niż *buntu) systemów linuksowych. Możliwe jest również rozwiązanie następujące:

1. Ściągamy "źródła" conky-manager z AUR (dla wygody będę posługiwać się narzędziem yaourt, którego nie trzeba nikomu przedstawiać):
yaourt -G conky-manager2. Przechodzimy do utworzonego katalogu:
cd conky-manager3. Podmieniamy zawartość pliku PKGBUILD następującą:
# Maintainer: based on Josip Ponjavic <josipponjavic at gmail dot com> work

pkgname=conky-manager
pkgver=2.3.1
_ubuntu=~123~ubuntu14.10.1
pkgrel=1
pkgdesc="Simple tool for managing conky scripts. (stable version)"
arch=('i686' 'x86_64')
url="http://teejeetech.blogspot.in/"
license=('GPL2')
depends=('cairo' 'conky' 'desktop-file-utils' 'gtk3' 'imagemagick'
'json-glib' 'libgee06' 'libsoup' 'p7zip' 'rsync')
makedepends=('vala')
conflicts=('conky-manager-bzr')
options=(!emptydirs)
install="$pkgname.install"
source=("http://ppa.launchpad.net/teejee2008/ppa/ubuntu/pool/main/c/${pkgname}/${pkgname}_${pkgver}${_ubuntu}.tar.xz")
sha256sums=('c1a9d3f83e4a6d6ebe21de6f85e247d5331426034ca2a720f7edd6dcbe707df1')

build() {
  cd "$srcdir/$pkgname-$pkgver$_ubuntu"

  make
}

package() {
  cd "$srcdir/$pkgname-$pkgver$_ubuntu"

  make DESTDIR="$pkgdir" install
}
4. Zależnościami conky-manager są: cairo, conky, desktop-file-utils, gtk3, imagemagick, json-glib, libgee06, libsoup, p7zip, rsync. Jeśli którejś z tych paczek nie macie w systemie, to koniecznym jest jego doinstalowanie z repozytoriów, bądź z AUR.
5. W katalogu z pkt. 2 wydajemy polecenie:
makepkg -sicr

pavbaranov

  • Administrator
  • Ekspert
  • *****
  • Wiadomości: 848
  • Reputacja +25/-0
  • Architektura: x86_64
  • DE/WM: KF5.16+Plasma5.4.95+KDEApps 15.11.80+git na KF5
  • Distro: Arch Linux
  • GPU: Radeon free
  • Kernel: 4.3 (BFQ/CK/BLD/UKSM/+optymalizacje)
Odp: Conky-Manager 2.3.1
« Odpowiedź #1 dnia: Listopad 08, 2014, 14:53:00 »
conky-manager z AUR dostarcza już wersję 2.3.3 i jest poprawiony.

 

Polityka cookies
Darmowe Fora | Darmowe Forum
jezyki2 halotupsy filtrowa36 wojownicyburzy rootsunderground